[package]
name = "msyrs"
edition = "2021"
version = "0.0.1"
readme = "README.md"

[package.metadata.docs]
rustdoc = ["--cfg", "doc"]

[lib]
name = "msyrs"
path = "src/lib.rs"
crate-type = ["cdylib", "lib"]


[dependencies]
anyhow = "1.0"
reqwest = { version = "0.12.9", features = ["blocking", "json"] }
serde_json = "^1.0"
serde_urlencoded = "0.7"
serde = { version = "1.0.215", features = ["derive"] }
chrono = "0.4.38"
rand = "0.8"
threadpool = "1.8.1"
log = "0.4.22"
crossbeam = "0.8"
rayon = "1.5"
tokio = "1.41.1"
futures = "0.3"

ndarray = { version = "*" }

pyo3 = { version = "*", features = ["extension-module", "abi3-py37"] }

# pyo3-polars = { git = "https://github.com/Magnus167/pyo3-polars.git", features = [
#     "dtype-categorical",
# ] }
pyo3-polars = { version = "0.18.0" , features = [
    "dtype-categorical",
    "dtype-struct",
] }

polars = { version = "0.44.2", features = [
    "lazy",
    "temporal",
    "describe",
    "json",
    "parquet",
    "dtype-datetime",
    "dtype-categorical",
    "dtype-struct",
    "strings",
    "timezones",
    "ndarray",
    "concat_str",
    "dynamic_group_by",
] }
